# $Revision: 1.12 $, $Date: 2009/11/16 05:41:54 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Plugin-Session
Summary:	Catalyst::Plugin::Session - Generic Catalyst session plugin
Summary(pl.UTF-8):	Catalyst::Plugin::Session - ogólna wtyczka sesji dla Catalysta
Name:		perl-Catalyst-Plugin-Session
Version:	0.29
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b580af6ccd996e4a86f3fbd9dd56b255
URL:		http://search.cpan.org/dist/Catalyst-Plugin-Session/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 5.71001
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-MRO-Compat
BuildRequires:	perl-Moose >= 0.76
BuildRequires:	perl-MooseX-Emulate-Class-Accessor-Fast >= 0.00801
BuildRequires:	perl-Object-Signature
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-MockObject >= 1.01
BuildRequires:	perl-namespace-clean >= 0.10
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Session plugin is the base of two related parts of functionality
required for session management in web applications.

The first part, the State, is getting the browser to repeat back a
session key, so that the web application can identify the client and
logically string several requests together into a session.

The second part, the Store, deals with the actual storage of
information about the client. This data is stored so that the it may
be revived for every request made by the same client.

This plugin links the two pieces together.

%description -l pl.UTF-8
Wtyczka Session to podstawa dwóch powiązanych części funkcjonalności
wymaganej do zarządzania sesjami w aplikacjach WWW.

Pierwsza część to obsługa stanów (State) powodująca, że przeglądarka
powtarza klucz sesji, dzięki czemu aplikacja WWW może zidentyfikować
klienta i logicznie łączyć ze sobą kilka żądań w sesję.

Druga część to przechowywanie danych (Store) odpowiadające za właściwe
przechowywanie informacji o kliencie. Te dane są przechowywane w taki
sposób, że mogą być odtworzone przy każdym żądaniu wykonanym przez
tego samego klienta.

Ta wtyczka łączy te dwa elementy w całość.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Catalyst/Plugin/Session/State

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Plugin/*.pm
%{perl_vendorlib}/Catalyst/Plugin/Session
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Plugin-Session.spec,v $
Revision 1.12  2009/11/16 05:41:54  amateja
- updated to 0.29

Revision 1.11  2009/10/19 11:08:46  amateja
- updated to 0.27

Revision 1.10  2009/09/09 09:43:25  amateja
- updated to 0.26

Revision 1.9  2009/06/16 12:12:38  amateja
- updated to 0.22

Revision 1.8  2008/02/23 12:08:47  radek
- autoupdated to 0.19

Revision 1.7  2007/03/23 11:16:35  radek
- updated perl-Catalyst-* to newest versions

Revision 1.6  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.4  2006/08/27 15:43:48  migo
- up to 0.12

Revision 1.3  2006/02/01 21:17:29  migo
- up to 0.05

Revision 1.2  2005/11/19 14:12:12  qboosh
- pl, generic URL

Revision 1.1  2005/11/18 19:36:37  migo
- initial revision
